%% Plotting of data
clear all
fileName = {'1stage_uM.mat'
            '1stage_uM_uH_uT.mat'
            '1stage_uM_uH_uT_sigma1.mat'
            '1stage_uM_uH_uT_sigma08.mat'            
            '1stage_uM_uH_uT_uF_H2CO07.mat'
            '1stage_uM_uH_uT_uF_sigma1_H2CO07.mat'
            '1stage_uM_uH_uT_uF_sigma08_H2CO07.mat'            
            '2stage_uM.mat'
            '2stage_uM_uH.mat'
            '2stage_uM_uH_uT.mat'
            '2stage_uM_uH_uT_cstr.mat'
            '2stage_uM_uH_uT_cstr2.mat'
            '2stage_uM_uH_uT_cstr3.mat'
            '2stage_uM_uF_uHuTfixed_H2CO157_2.mat'
            '3stage_uM_uF_uHuTfixed_H2CO120_2.mat'
            '3stage_uM_uF_uHuTfixed_H2CO125_2.mat'
            '3stage_uM_uH_uT.mat'
            '3stage_uM_uH_uT1_uF_uS07_H2CO125.mat'
            '3stage_uM_uH_uT1_uF_uS1_H2CO125.mat'
            '3stage_uM_uH_uT_uF1st_uS07_H2CO07.mat'
            '3stage_uM_uH_uT_uF1st_uS07_sigma1_H2CO07.mat'
            '3stage_uM_uH_uT_uF1st_uS07_sigma08_H2CO07.mat'
            '3stage_uM_uH_uT_uF_simga08_H2CO07.mat'};

figureName = {'Case1:1stage_uM'
              'Case2:1stage_uM_uH_uT'
              'Case3:1stage_uM_uH_uT_sigma1'
              'Case4:1stage_uM_uH_uT_sigma08'            
              'Case5:1stage_uM_uH_uT_uF_H2CO07'
              'Case6:1stage_uM_uH_uT_uF_sigma1_H2CO07'
              'Case7:1stage_uM_uH_uT_uF_sigma08_H2CO07'            
              'Case8:2stage_uM'
              'Case9:2stage_uM_uH'
              'Case10:2stage_uM_uH_uT'
              'Case11:2stage_uM_uH_uT_cstr'
              'Case12:2stage_uM_uH_uT_cstr2'
              'Case13:2stage_uM_uH_uT_cstr3'
              'Case14:2stage_uM_uF_uHuTfixed_H2CO157_2'
              'Case15:3stage_uM_uF_uHuTfixed_H2CO120_2'
              'Case16:3stage_uM_uF_uHuTfixed_H2CO125_2'
              'Case17:3stage_uM_uH_uT'
              'Case18:3stage_uM_uH_uT1_uF_uS07_H2CO125'
              'Case19:3stage_uM_uH_uT1_uF_uS1_H2CO125'
              'Case20:3stage_uM_uH_uT_uF1st_uS07_H2CO07'
              'Case21:3stage_uM_uH_uT_uF1st_uS07_sigma1_H2CO07'
              'Case22:3stage_uM_uH_uT_uF1st_uS07_sigma08_H2CO07'
              'Case23:3stage_uM_uH_uT_uF_simga08_H2CO07'};
        
n = length(fileName);
for k=1:n
    clear a
    load(fileName{k});
    h = plotFT(a);
    set(gcf,'Name',figureName{k});
end        