function [fval] = ObjectiveFunction(uu,a)
% OBJECTIVEFUNCTION is the function that is minimimized by the optimization
% program. 
% 
a = AssignObject(a,uu);
%end_point= a.ns*(a.ncol+2);
J(1) = a.Z(end,a.key);                   % Mass fraction at outlet
prod = 0;
tnc = a.ncol+2;
for i=1:a.ns;
    prod = prod + (a.Z(i*tnc, a.key) - a.Z(tnc*(i-1)+1,a.key)) * a.Z(i*tnc,a.nz);
end
J(2) = prod;    % Mass production
J(3) = prod./a.sigma;
uHmean = mid(a,'uH')*40;
J(4) = J(3) /(1+0.01 *uHmean*a.sigma);
J(5) = J(3) /(1+0.008*uHmean*a.sigma);
J(6) = J(3) /(1+0.006*uHmean*a.sigma);
J(7) = J(3) /(1+0.004*uHmean*a.sigma);
J(8) = exp(J(2));
J(9) = exp(J(3));
%a=pathset(a,'J',J);
%a.Jcrit=J;
uAmean = mid(a,'uA');
J(9) = J(1) /(1+0.008*(uHmean+2*uAmean)*a.sigma);

fval = -J(a.Jcrit);