function a=pathset(a,pn,pv,c)
% Overload function SET
% FLUIDPATH/PATHSET set properties of the a FLUIDPATH object
%    This file is an internal help function to set object properties.
if nargin == 3,
    c=0;
end
if isnumeric(pv)
    if size(pv,2)>1,
        s=['a.',pn,'=[',mat2str(pv),'];'];
        eval(s)
        return
    end
    if length(pv)>1,
        pv=reshape(pv,1,length(pv)); % Reshape to a row vector
        if c==1,
            s=['a.',pn,'=transpose([',num2str(pv),']);'];
        else
            s=['a.',pn,'=[',num2str(pv),'];'];
        end
    else
        s=['a.',pn,'=',num2str(pv),';'];
    end
    eval(s)
    return
else
    if pn=='kinetics', 
        a.kinetics=str2func(pv);
    return
    end
end
warning('the property name or value are wrong')
return